%define upstream_name    Test-utf8
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Handy utf8 tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester) >= 0.90.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module is a collection of tests useful for dealing with utf8 strings
in Perl.

This module has two types of tests: The validity tests check if a string is
valid and not corrupt, whereas the characteristics tests will check that
string has a given set of characteristics.

Validity Tests
    * is_valid_string($string, $testname)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-7.mga6
+ Revision: 1034707
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-6.mga6
+ Revision: 948396
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 787837
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 750014
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.10.0-3.mga5
+ Revision: 736025
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-2.mga5
+ Revision: 686589
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.10.0-1.mga5
+ Revision: 587544
- update to 1.01

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 515393
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 373955
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 268073
- imported package perl-Test-utf8


* Thu Jul 05 2012 cpan2dist 1.00-1mga
- initial mageia release, generated with cpan2dist
